{% load mis_tags %}
<div class="container cont-cap-{{cap.id}}">
    <div class="row w-100">
        <div class="col capitem align-middle m-0 pl-0 py-2">
            <div class="container text-capitalize text-left m-0 p-0">
                <div class="d-flex flex-nowrap align-items-start">
                    <div class="text-left ctxmenu">
                        <div class="btn-group dropleft">
                            {% if usuario.id == autor.id %}
                            <button type="button" class="" data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                                <i class="fic-ellipsis-v " style="cursor:pointer;"></i>
                            </button>
                            <div class="dropdown-menu">
                                <a class="dropdown-item text-center" href="#" data-toggle="modal"
                                    data-target="#modcap-{{cap.id}}">Editar</a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item text-center"
                                    href="{% url 'eliminar_capitulo' cap.id %}">Eliminar</a>

                            </div>
                            {%endif%}
                        </div>
                    </div>
                    <div class="mr-auto text-left px-1">{{cap.numero_capitulo}} - {{cap.nombre}}</div>
                    <div class="text-left px-1"><i class="fic-file-text"></i></div>
                    <div class="text-left px-1">{% cant_leidos_cap cap.id %}</div>
                    <div class="text-left px-1"><a href="{% url 'ver_capitulo' cap.id %}"> <i class="fic-eye-1"></i></a></div>

                </div>

            </div>

        </div>
    </div>
    <div class="modal fade mod-cap" id="modcap-{{cap.id}}" tabindex="-1" role="dialog" aria-labelledby="addcap"
        aria-hidden="true" data-pdf-url="{{cap.pdf.url}}">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="">Modificar Capitulo</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="cap-modif" data-cid="{{comic.id}}" data-capid="{{cap.id}}">
                    <div class="modal-body text-left" style="font-size:14px">

                        {% csrf_token %}
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="txtNombre">Nombre</label>
                                <input type="text" class="form-control rounded border " id="txtNombre" name="txtNombre"
                                    placeholder="" value="{{cap.nombre}}" />

                            </div>
                            <div class="form-group col-s-d2  ">
                                <label for="txtNumero">Numero</label>
                                <input type="number" class="form-control rounded border  nospin" id="txtNumero"
                                    name="txtNumero" placeholder="" value="{{cap.numero_capitulo}}" />
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="input-group mb-3">
                                <div class="custom-file">
                                    <input type="file" class="custom-file-input cap-pdf" id="pdf" name="pdf" lang="es"
                                        accept="application/pdf">
                                    <label class="custom-file-label" for="pdf">Examinar</label>
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <canvas id="pdfViewer"></canvas>
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                        <button type="submit" class="btn btn-primary" >Guardar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>